Subject: [bug#55343] [PATCH 2/2] image: Add new efi32-raw format for 32bit UEFI on 64bit systems

From: Maxime Devos <[email-masked]>
Date: Wed, 11 May 2022 19:19:49 +0200

Denis 'GNUtoo' Carikli schreef op wo 11-05-2022 om 19:00 [+0200]:
> What approach do you think is best (I don't know the implementation
> of
> (list #:target "i686-linux") so you probably know way better than me
> which one is the best) ?.

#:target determines for which architecture the grub binaries
('bin/install-grub' or something like that?  I forgot the name ...),
whereas (IIUC) what we need is to compile the _bootloader_ itself (and
its modules) for "i[36]86-SOMETHING" (*).  So since #:target isn't
appropriate here, and what you originally sent presumably works, so
let's go for the original "--target=..."?

(*) in practice, I don't think the SOMETHING or 386/686 matters here,
I'd expect the grub makefile/configure to set the -nostdlib and -
march=... bits appropriately?

Greetings,
Maxime.